EZ_DetachFrame(3)

NAME
EZ_DetachFrame, EZ_DockFrame, EZ_FrameIsDetached - detach and dock frames

SYNOPSIS
#include <EZ.h>

int EZ_DetachFrame( EZ_Widget *frame, int xoff, int yoff)
int EZ_DockFrame( EZ_Widget *frame, int mode)
int EZ_FrameIsDetached(EZ_Widget *frame)

ARGUMENTS
frame Specifies a frame widget or a menubar widget.

xoff,yoff Specify an offset.

mode Specifies a docking mode, 0 or 1.

DESCRIPTION

EZ_DetachFrame detaches a frame or menubar widget from its parent. The detached widget window will be moved away from its current location by the specified offset. A detached widget behaves like a toplevel widget. It's widget window is invisible by your window manager. However, one can move/scale the detached window by draging the drag handle/corner. This function returns 1 on success and 0 on failure.

EZ_DockFrame does the opposite of EZ_DetachFrame, it tries to dock a detached frame. If mode is 0, frame will be docked only if it is close to its old location. If mode is nonzero, the frame will be docked. EZ_FrameIsDetached returns True if the specified frame is currently detached.

SEE ALSO
EZ_OnFrameDragHandle(3)